/*
 *	Copyright (C) 2009 by Chebotarev Roman <roma@ultranet.ru>
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "serviceclass.h"

ServiceClass::ServiceClass(QString srvcDef)
{
	hostsList = srvcDef.split(":", QString::SkipEmptyParts);
	srvcName = hostsList.first();
	hostsList.removeFirst();
}

QString ServiceClass::service()
{
	return srvcName;
}

QStringList ServiceClass::allHostsAsList()
{
	return hostsList;
}

QString	ServiceClass::allHostsAsString()
{
	QString hosts;
	Q_FOREACH(QString host, hostsList)
	{
		hosts += host + ":";
	}
	return hosts;
}

bool ServiceClass::isHostFound(QString srvc, QString hostName)
{
	if(srvc.toLower() != srvcName.toLower())
		return false;
	if(hostsList.isEmpty())
		return true;
	else
	{
		Q_FOREACH(QString host, hostsList)
		{
			if(host.toLower() == hostName.toLower())
				return true;
		}
	}
	return false;
}
